﻿@model EpamMVC.DLL.Entities.ClientAccount

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    @Html.HiddenFor(model => model.Id)

    <div class="card">
        <div class="card-header">
            <div class="card-tools">
                <button type="submit" class="btn btn-success btn-sm">
                    Сохранить
                </button>
                <a class="btn btn-secondary btn-sm"
                   href="@Url.Action("Index")">
                    Вернуться
                </a>
            </div>
        </div>

        <div class="card-body">
            @Html.ValidationSummary(true)

            <div class="form-group">
                <div class="form-check">
                    <label class="form-check-label">
                        <input type="checkbox" name="Locked" value="true" checked="@Model.Locked" class="form-check-input"/>
                        Заблокирован
                    </label>
                </div>
            </div>

            <div class="form-group">
                <div class="form-check">
                    <label class="form-check-label">
                        <input type="checkbox" name="UnlockRequest" value="true" checked="@Model.UnlockRequest" class="form-check-input"/>
                        Запрос на разблокировку
                    </label>
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.Balance)
                @Html.TextBoxFor(m => m.Balance, new {@class = "form-control"})
                @Html.ValidationMessageFor(model => model.Balance)
            </div>

        </div>
    </div>
}
